LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 12-06-2007, 05:04 PM   #1
Paulsuk
Member
 
Registered: Jan 2004
Distribution: LFS
Posts: 91

Rep: Reputation: 15
davfs2 and neon woes


Hi,

Following a major crash I have decided I need to start having some offsite backups.

Being a bit of a cheapskate, I have decided to use a free online webDAV service.

My plan is to mount this and then use somethink like rsync to sync the files over (maybe once an hour or so - it's a small home server with a limited amount of data and low traffic).

Ok, so I have downloaded and installed fuse.
I have downloaded various versions of neon from 0.24.0 to 0.27.0
I have downloaded dav2fs V1.2.2

When I try to run ./configure on the latter,, it fails with the error
Quote:
checking linking against neon... no
configure: incompatible neon library version 0.26.0: wanted 0.24 25 26
configure: error: could not find neon
(Obviously the neon version changes!)

HELP!

I have installed everything with --prefix=/usr but I'm stuck as to how to proceed. Do I need to hack dav2fs in some way in order to make it use the latest neon, or can I set up some links to make neon appear to be v0.24?

TIA

Paul
 
Old 12-26-2007, 02:00 AM   #2
Shingoshi
Member
 
Registered: Oct 2006
Location: Cochise County, Arizona
Distribution: Gentoo-AMD64 / Slackware64-Current
Posts: 474
Blog Entries: 28

Rep: Reputation: 34
Quote:
Originally Posted by Paulsuk View Post
Hi,

Following a major crash I have decided I need to start having some offsite backups.

Being a bit of a cheapskate, I have decided to use a free online webDAV service.

My plan is to mount this and then use somethink like rsync to sync the files over (maybe once an hour or so - it's a small home server with a limited amount of data and low traffic).

Ok, so I have downloaded and installed fuse.
I have downloaded various versions of neon from 0.24.0 to 0.27.0
I have downloaded dav2fs V1.2.2

When I try to run ./configure on the latter,, it fails with the error (Obviously the neon version changes!)

HELP!

I have installed everything with --prefix=/usr but I'm stuck as to how to proceed. Do I need to hack dav2fs in some way in order to make it use the latest neon, or can I set up some links to make neon appear to be v0.24?

TIA

Paul
I am having the same problem trying to compile davfs2-1.2.2 against neon-0.27.2. If anyone knows how to fix this, please let me know.

Shingoshi
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: GIMP tricks: Neon inscription LXer Syndicated Linux News 0 05-13-2007 03:46 PM
Setting up davfs2 with the Ubuntu package xjlittle LinuxAnswers Discussion 0 03-23-2007 02:25 PM
help getting SSL support in SVN w/neon hedpe Linux - Software 1 10-21-2006 01:42 PM
LXer: Progress takes SOA to mainframe with Neon buy LXer Syndicated Linux News 0 12-27-2005 12:01 PM
Like installing adls usb GS - u210g neon in slackware 10 javieralbarra Linux - General 0 08-18-2004 10:33 AM


All times are GMT -5. The time now is 04:28 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration